oce.spectrum {oce} | R Documentation

## Wrapper to give normalized spectrum

### Description

This is a wrapper around the R `spectrum` function, which returns spectral values that are adjusted so that the integral of those values equals the variance of the input `x`.

### Usage

    oce.spectrum(x, ...)

### Arguments

`x` | As for `spectrum`, a univariate or multivariate time series.
`...` | extra arguments passed on to `spectrum`.

### Value

A spectrum that has values that integrate to the variance.

### Author(s)

Dan Kelley

### See Also

`spectrum`.

### Examples

      x <- rnorm(1e3)
      s <- spectrum(x, plot=FALSE)
      ss <- oce.spectrum(x, plot=FALSE)
      cat("variance of x=", var(x), "\n")
      cat("integral of     spectrum=", sum(s$spec)*diff(s$freq[1:2]), "\n")
      cat("integral of oce.spectrum=", sum(ss$spec)*diff(ss$freq[1:2]), "\n")

[Package oce version 0.9-18 Index]